<?php
namespace App\Mail;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class OrderShippedMail extends Mailable {
    use SerializesModels;
    public $order;
    
    public function __construct($order) { 
        $this->order = $order; 
    }
    
    public function build() {
        $subject = __('Your Order has been Shipped - #:order', ['order' => $this->order->order_number]);
        return $this->subject($subject)->view('emails.orders.shipped');
    }
}